Bug 438993

Summary: kernel 'make install' doesn't create initrd or update grub.conf
Product: [Fedora] Fedora Reporter: Eric Paris <eparis>
Component: mkinitrdAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: dcantrell, mschmidt, pierre-bugzilla, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-15 08:18:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Eric Paris 2008-03-26 13:25:00 UTC
mkinitrd-6.0.40-1.fc9.x86_64

I build and install kernels by hand.  The usual

make oldconfig
make
make module_install install

it appears that system.map and the vmlinuz are installed in /boot but no initrd
is created and no new entry is created in grub.conf.  I changed /sbin/installkernel 

from: /sbin/new-kernel-pkg --rpmposttrans $KERNEL_VERSION
to:   /sbin/new-kernel-pkg --mkinitrd --install $KERNEL_VERSION

and it seems to be working.  I would like the kernel make install to continue to
work....

Comment 1 Peter Jones 2008-03-26 15:56:41 UTC
Thanks for catching this; it should be doing:

if [ -n "$cfgLoader" -a -x /sbin/new-kernel-pkg ]; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install $KERNEL_VERSION
        /sbin/new-kernel-pkg --rpmposttrans $KERNEL_VERSION
fi

This will be fixed in 6.0.41 .

Comment 2 Pierre Ossman 2008-03-29 08:22:58 UTC
Any new package on the way?

Comment 3 Bug Zapper 2008-05-14 06:52:30 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-06-09 23:52:10 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-15 08:18:36 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.